Summary:	LibIdent - Ident protocol client library
Summary(pl.UTF-8):	LibIdent - biblioteka kliencka dla protokołu Ident
Name:		libident
Version:	0.32
Release:	2
License:	Public Domain
Group:		Libraries
Source0:	http://www.remlab.net/files/libident/%{name}-%{version}.tar.bz2
# Source0-md5:	f567aaf43eb1fa60d15b87e09a7fca5d
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibIdent is a library which provides Ident protocol support in
application.

%description -l pl.UTF-8
LibIdent jest biblioteką udostępniającą interfejs do usługi protokołu
Ident.

%package devel
Summary:	LibIdent - header files
Summary(pl.UTF-8):	LibIdent - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
LibIdent - header files.

%description devel -l pl.UTF-8
LibIdent - pliki nagłówkowe.

%package static
Summary:	LibIdent - static Library
Summary(pl.UTF-8):	LibIdent - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LibIdent - static Library.

%description static -l pl.UTF-8
LibIdent - biblioteka statyczna.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I.
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libident.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README 
%attr(755,root,root) %{_libdir}/libident.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libident.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libident.so
%{_includedir}/ident.h
%{_mandir}/man3/ident.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libident.a
%changelog
* Mon Oct 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libident.git;a=log;h=master

* Mon Oct 22 2018 Jan Rękorajski <baggins@pld-linux.org> d2d96d1
- release 2 (by relup.sh)

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 37c3a7e
- cleanup, meaningful summaries

* Sat Jan 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f3b307a
- up to 0.32
- changed source url

* Sat Jan 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0ac18fb
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2ee95e1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ebc0feb
- converted to UTF-8

* Sun Feb 29 2004 Jakub Bogusz <qboosh@pld-linux.org> e33a7da
- pass LIBDIR for lib64 support, release 5

* Sat Feb 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 552d0b2
- fixed install in DESTDIR patch, fixed License, added -fPIC, release 4

* Sat Feb 28 2004 Jakub Bogusz <qboosh@pld-linux.org> d17bc30
- install lib as libident.so.0.22, not libident.so

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d24e39b
- use %{name}, not %name

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 46ea0cd
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6ad65b4
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Jul 27 2002 marcus <marcus@pld-linux.org> aba1401
- use new %%doc
- rel.3.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> eeb69d7
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> d1a188f
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Sat Feb 02 2002 ankry <ankry@pld-linux.org> 673e520
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

* Fri Feb 01 2002 ankry <ankry@pld-linux.org> 10a4521
- added Group(es/pt_BR/ru/uk)

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 04151ec
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Tue Apr 24 2001 kloczek <kloczek@pld-linux.org> 8df0ca6
- adapterized.

* Sat Apr 14 2001 mkochano <mkochano@pld-linux.org> 430f836
- Release 2.
- Added %%pre and %%post sections with call to ldconfig.

